{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.nicothekid_nether_wisp": {
      "geometry": "Geometry.default",
      "materials": [
        {
          "*": "Material.default"
        }
      ],
      "textures": [
			  "array.skins[query.variant]"
			],
			"arrays": {
				"textures": {
				  "Array.skins": [
						"Texture.nether_wisp_variant_0",
						"Texture.nether_wisp_soul_variant_1"
					]
				}
			},
			"uv_anim": {
				"offset": [
					0,
					"math.mod(math.floor(query.life_time * 2),4) / 4"
				],
				"scale": [
					1,
					"1 / 4"
				]
			}
    }
  }
}
